Retrieve a required action
curl --request GET \
--url https://api.test.doola.com/v1/partner/companies/{companyId}/required-actions/{requiredActionId} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.test.doola.com/v1/partner/companies/{companyId}/required-actions/{requiredActionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.test.doola.com/v1/partner/companies/{companyId}/required-actions/{requiredActionId}';
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.test.doola.com/v1/partner/companies/{companyId}/required-actions/{requiredActionId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.test.doola.com/v1/partner/companies/{companyId}/required-actions/{requiredActionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.test.doola.com/v1/partner/companies/{companyId}/required-actions/{requiredActionId}")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.test.doola.com/v1/partner/companies/{companyId}/required-actions/{requiredActionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"requiredActionId": "31pLdpvMh4OfO90moxLgLT8AuQr",
"doolaCompanyId": "31pLD0Tq2lm2FsgRBoHv4x3BpzZ",
"actionCode": "FORMATION_NAME_OPTIONS_EXHAUSTED",
"actionName": "New company names needed",
"status": "delivered",
"reason": "All submitted company name options were rejected by the state. Submit new options.",
"requestedFieldIds": [
"address"
],
"requestedDocumentTypes": [
"EinLetter"
],
"open": true,
"awaitingResponse": true,
"updatedAt": "2023-11-07T05:31:56Z",
"history": [
{
"status": "delivered",
"submittedPayload": {
"actionCode": "FORMATION_NAME_OPTIONS_EXHAUSTED",
"nameOptions": [
{
"name": "Acme Holdings",
"entityTypeEnding": "LLC",
"position": 123
}
],
"addresses": [
{
"provider": "customer",
"type": "business",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"phone": "<string>"
}
],
"companyDetails": {
"companyName": "<string>",
"address": {
"provider": "customer",
"type": "business",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"phone": "<string>"
},
"mailingAddress": {
"provider": "customer",
"type": "business",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"phone": "<string>"
},
"physicalAddress": {
"provider": "customer",
"type": "business",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"phone": "<string>"
},
"phoneNumber": "<string>",
"authorizedShares": 123,
"issuedShares": 123,
"perValuedShares": 123
},
"importCorrections": {
"nameOptions": [
{
"name": "Acme Labs",
"entityTypeEnding": "LLC",
"id": "<string>",
"position": 1
}
],
"state": "WY",
"formationFilingNumber": "2023-001234567",
"formationFilingDate": "2023-04-12",
"ein": "99-1234567",
"addresses": [
{
"provider": "registeredAgent",
"type": "business",
"address": {
"line1": "251 W 30th St",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"country": "USA",
"id": "<string>",
"line2": "Ste 12E",
"phone": "+12125550100"
}
}
],
"responsibleParty": {
"legalFirstName": "Ada",
"legalLastName": "Lovelace",
"email": "ada@example.com",
"id": "<string>",
"ssn": "<string>",
"address": {
"line1": "251 W 30th St",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"country": "USA",
"id": "<string>",
"line2": "Ste 12E",
"phone": "+12125550100"
}
},
"members": [
{
"isNaturalPerson": true,
"address": {
"line1": "251 W 30th St",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"country": "USA",
"id": "<string>",
"line2": "Ste 12E",
"phone": "+12125550100"
},
"ownershipPercent": 100,
"id": "<string>",
"legalFirstName": "Ada",
"legalLastName": "Lovelace",
"contactFullName": "Acme Holdings LLC",
"ssn": "<string>"
}
],
"managers": [
{
"legalFirstName": "Grace",
"legalLastName": "Hopper",
"email": "grace@example.com",
"id": "<string>",
"ssn": "<string>",
"address": {
"line1": "251 W 30th St",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"country": "USA",
"id": "<string>",
"line2": "Ste 12E",
"phone": "+12125550100"
}
}
],
"managementType": "MANAGER_MANAGED",
"executiveMembers": [
{
"type": "President",
"legalFirstName": "Ada",
"legalLastName": "Lovelace",
"address": {
"line1": "251 W 30th St",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"country": "USA",
"id": "<string>",
"line2": "Ste 12E",
"phone": "+12125550100"
},
"id": "<string>",
"ssn": "<string>"
}
],
"ccorpValuation": {
"noOfShares": 10000000,
"shareValue": 0.0001
},
"industry": "Custom Computer Programming Services",
"description": "<string>",
"registeredAgent": {
"name": "Wyoming Registered Agents LLC",
"address": {
"line1": "251 W 30th St",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"country": "USA",
"id": "<string>",
"line2": "Ste 12E",
"phone": "+12125550100"
}
}
},
"documentIds": [
"<string>"
]
},
"createdAt": "2023-11-07T05:31:56Z"
}
]
}Required Actions
Retrieve a required action
One required action with its full history, so you can see when it was raised, whether doola reached your endpoint, and how many rounds it has taken.
GET
/
v1
/
partner
/
companies
/
{companyId}
/
required-actions
/
{requiredActionId}
Retrieve a required action
curl --request GET \
--url https://api.test.doola.com/v1/partner/companies/{companyId}/required-actions/{requiredActionId} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.test.doola.com/v1/partner/companies/{companyId}/required-actions/{requiredActionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.test.doola.com/v1/partner/companies/{companyId}/required-actions/{requiredActionId}';
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.test.doola.com/v1/partner/companies/{companyId}/required-actions/{requiredActionId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.test.doola.com/v1/partner/companies/{companyId}/required-actions/{requiredActionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.test.doola.com/v1/partner/companies/{companyId}/required-actions/{requiredActionId}")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.test.doola.com/v1/partner/companies/{companyId}/required-actions/{requiredActionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"requiredActionId": "31pLdpvMh4OfO90moxLgLT8AuQr",
"doolaCompanyId": "31pLD0Tq2lm2FsgRBoHv4x3BpzZ",
"actionCode": "FORMATION_NAME_OPTIONS_EXHAUSTED",
"actionName": "New company names needed",
"status": "delivered",
"reason": "All submitted company name options were rejected by the state. Submit new options.",
"requestedFieldIds": [
"address"
],
"requestedDocumentTypes": [
"EinLetter"
],
"open": true,
"awaitingResponse": true,
"updatedAt": "2023-11-07T05:31:56Z",
"history": [
{
"status": "delivered",
"submittedPayload": {
"actionCode": "FORMATION_NAME_OPTIONS_EXHAUSTED",
"nameOptions": [
{
"name": "Acme Holdings",
"entityTypeEnding": "LLC",
"position": 123
}
],
"addresses": [
{
"provider": "customer",
"type": "business",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"phone": "<string>"
}
],
"companyDetails": {
"companyName": "<string>",
"address": {
"provider": "customer",
"type": "business",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"phone": "<string>"
},
"mailingAddress": {
"provider": "customer",
"type": "business",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"phone": "<string>"
},
"physicalAddress": {
"provider": "customer",
"type": "business",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"phone": "<string>"
},
"phoneNumber": "<string>",
"authorizedShares": 123,
"issuedShares": 123,
"perValuedShares": 123
},
"importCorrections": {
"nameOptions": [
{
"name": "Acme Labs",
"entityTypeEnding": "LLC",
"id": "<string>",
"position": 1
}
],
"state": "WY",
"formationFilingNumber": "2023-001234567",
"formationFilingDate": "2023-04-12",
"ein": "99-1234567",
"addresses": [
{
"provider": "registeredAgent",
"type": "business",
"address": {
"line1": "251 W 30th St",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"country": "USA",
"id": "<string>",
"line2": "Ste 12E",
"phone": "+12125550100"
}
}
],
"responsibleParty": {
"legalFirstName": "Ada",
"legalLastName": "Lovelace",
"email": "ada@example.com",
"id": "<string>",
"ssn": "<string>",
"address": {
"line1": "251 W 30th St",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"country": "USA",
"id": "<string>",
"line2": "Ste 12E",
"phone": "+12125550100"
}
},
"members": [
{
"isNaturalPerson": true,
"address": {
"line1": "251 W 30th St",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"country": "USA",
"id": "<string>",
"line2": "Ste 12E",
"phone": "+12125550100"
},
"ownershipPercent": 100,
"id": "<string>",
"legalFirstName": "Ada",
"legalLastName": "Lovelace",
"contactFullName": "Acme Holdings LLC",
"ssn": "<string>"
}
],
"managers": [
{
"legalFirstName": "Grace",
"legalLastName": "Hopper",
"email": "grace@example.com",
"id": "<string>",
"ssn": "<string>",
"address": {
"line1": "251 W 30th St",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"country": "USA",
"id": "<string>",
"line2": "Ste 12E",
"phone": "+12125550100"
}
}
],
"managementType": "MANAGER_MANAGED",
"executiveMembers": [
{
"type": "President",
"legalFirstName": "Ada",
"legalLastName": "Lovelace",
"address": {
"line1": "251 W 30th St",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"country": "USA",
"id": "<string>",
"line2": "Ste 12E",
"phone": "+12125550100"
},
"id": "<string>",
"ssn": "<string>"
}
],
"ccorpValuation": {
"noOfShares": 10000000,
"shareValue": 0.0001
},
"industry": "Custom Computer Programming Services",
"description": "<string>",
"registeredAgent": {
"name": "Wyoming Registered Agents LLC",
"address": {
"line1": "251 W 30th St",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"country": "USA",
"id": "<string>",
"line2": "Ste 12E",
"phone": "+12125550100"
}
}
},
"documentIds": [
"<string>"
]
},
"createdAt": "2023-11-07T05:31:56Z"
}
]
}Authorizations
Path Parameters
Response
200 - */*
OK
An action doola needs you to take on a company
What is needed
Available options:
FORMATION_NAME_OPTIONS_EXHAUSTED, FORMATION_SIGNATURE_SS4_RESET, FORMATION_SIGNATURE_FORM8821_REQUIRED, FORMATION_FOUNDER_ADDRESS_REQUIRED, ANNUAL_REPORT_ADDRESS_NOT_ACCEPTED, ANNUAL_REPORT_SHARE_VALUE_TOO_HIGH, IMPORT_DOCUMENTS_MISSING, IMPORT_INFO_REQUIRED Example:
"FORMATION_NAME_OPTIONS_EXHAUSTED"
Field ids to send back when resolving. For the annual report actions, named as GET /compliance/annual-reports/requirements names them; for IMPORT_INFO_REQUIRED, the company fields to update, named as the company resource names them. Empty when closing the action needs something other than field values.
Example:
["address"]